Skip to main content
GET
Get Group

Authorizations

Authorization
string
header
required

The API key to authenticate requests. Obtainable from the web dashboard.

Path Parameters

groupId
string
required

Response

OK

A SCIM group object as defined in RFC 7643. This object is used to represent a group in the SCIM API.

schemas
string[]
required

An array of Strings containing URIs that are used to indicate the namespaces of the SCIM schemas that define the attributes present in the current structure. Each schema URI MUST be unique, and any schema that defines attributes in the current structure MUST be included in the array. The schemas array is REQUIRED and MUST be non-empty.

id
string
required

A unique identifier for a SCIM resource as defined by the service provider. Each representation of the resource MUST include a non-empty "id" value. This identifier MUST be unique across the SCIM service provider's entire set of resources. It MUST be a stable, non-reassignable identifier that does not change when the same resource is returned in subsequent requests. The value of the "id" attribute is always issued by the service provider and MUST NOT be specified by the client. The string "bulkId" is a reserved keyword and MUST NOT be used within any unique identifier value.

Example:

"2819c223-7f76-453a-919d-413861904646"

meta
object
required

A complex attribute containing resource metadata. All "meta" sub-attributes are assigned by the service provider. This attribute SHALL be ignored when provided by clients.

displayName
string
required

A human-readable name for the Group.

members
object[]
required

A list of members of the group. The value is an array of objects, each of which MUST contain a "value" sub-attribute which is the id of the member. The value of the "value" sub-attribute MUST be the id of a SCIM user. The value of the "type" sub-attribute MUST be the string "User".